[master] kde-config-telepathy-accounts package install error

Bug #1451728 reported by Damon Lynch on 2015-05-05
This bug affects 904 people
Affects Status Importance Assigned to Milestone
Kubuntu PPA
Undecided
Unassigned
Telepathy KDE
Fix Released
High
kaccounts-integration (Ubuntu)
Critical
Unassigned
Nominated for Xenial by Alberto Salvia Novella
kaccounts-providers (Ubuntu)
Critical
Unassigned
Nominated for Xenial by Alberto Salvia Novella
Wily
Critical
Unassigned
ktp-accounts-kcm (Ubuntu)
Critical
Unassigned
Nominated for Xenial by Alberto Salvia Novella
Wily
Critical
Unassigned
libaccounts-glib (Ubuntu)
Critical
Alberto Mardegan
Nominated for Xenial by Alberto Salvia Novella

Bug Description

Installing from Kubuntu 15.04 backports:

Unpacking kde-config-telepathy-accounts (15.04.0-0ubuntu1~ubuntu15.04~ppa1) over (0.9.0-0ubuntu1) ...
dpkg: error processing archive /var/cache/apt/archives/kde-config-telepathy-accounts_15.04.0-0ubuntu1~ubuntu15.04~ppa1_amd64.deb (--unpack):
 trying to overwrite '/usr/share/accounts/services/facebook-im.service', which is also in package account-plugin-facebook 0.12+15.04.20150415.1-0ubuntu1
dpkg-deb: error: subprocess paste was killed by signal (Broken pipe)

SRU information
===============

[Impact] It's not possible to install KDE and Unity in co-existence because of several file conflicts: many files under /usr/share/accounts/{providers,services}/ are provided by both the package "kaccounts-providers" and packages build from the "account-plugins" source package, for example 'account-plugin-facebook'.

[Test case] Install both kaccounts-providers and account-plugin-facebook: you'll get file conflicts for /usr/share/accounts/services/facebook-im.service and /usr/share/accounts/providers/facebook.provider.
You might get other conflicts as well, but those are due to bug 1565772 (also nominated for SRU).

[Regression potential] Minimal: the changed packages belong to the default KDE installation, and have already landed in Yakkety. Things appear to be working fine there: account creation is still possible under KDE, even after changing the file paths as per this fix.

Damon Lynch (dlynch3) wrote :

This is probably a related packaging error:

dpkg: considering deconfiguration of kde-config-telepathy-accounts, which would be broken by installation of kde-l10n-engb ...
dpkg: yes, will deconfigure kde-config-telepathy-accounts (broken by kde-l10n-engb)
Preparing to unpack .../kde-l10n-engb_4%3a15.04.0-0ubuntu1~ubuntu15.04~ppa3_all.deb ...
De-configuring kde-config-telepathy-accounts (0.9.0-0ubuntu1) ...
Unpacking kde-l10n-engb (4:15.04.0-0ubuntu1~ubuntu15.04~ppa3) over (4:14.12.3-0ubuntu2) ...
Replacing files in old package kde-config-telepathy-accounts (0.9.0-0ubuntu1) ...
dpkg: error processing archive /var/cache/apt/archives/kde-l10n-engb_4%3a15.04.0-0ubuntu1~ubuntu15.04~ppa3_all.deb (--unpack):
 trying to overwrite '/usr/share/locale/en_GB/LC_MESSAGES/kded_ktp_integration_module.mo', which is also in package kde-telepathy-integration-module 0.9.0-0ubuntu1
dpkg-deb: error: subprocess paste was killed by signal (Broken pipe)

And perhaps also:

Preparing to unpack .../kaccounts-providers_15.04.0-0ubuntu1~ubuntu15.04~ppa1_all.deb ...
Unpacking kaccounts-providers (15.04.0-0ubuntu1~ubuntu15.04~ppa1) ...
dpkg: error processing archive /var/cache/apt/archives/kaccounts-providers_15.04.0-0ubuntu1~ubuntu15.04~ppa1_all.deb (--unpack):
 trying to overwrite '/usr/share/accounts/providers/google.provider', which is also in package account-plugin-google 0.12+15.04.20150415.1-0ubuntu1

Damon Lynch (dlynch3) wrote :
Jonathan Riddell (jr) wrote :

uploading 4:15.04.0-0ubuntu1~ubuntu15.04~ppa4 to backports so fix the issue with overlapping in those packages

2 comments hidden view all 123 comments

This file overlaps with a file in gnome's account-plugin-facebook
/usr/share/accounts/services/facebook-im.service

and kaccounts-providers has a file which overlaps with gnome's account-plugin-google
/usr/share/accounts/providers/google.provider

gnome and kde need to be co-installable so these files should be renamed to not overlap.

As a separate but related issue if ktp explodes because gnome accounts-plugins are installed that should also be gracefully delt with.

Reproducible: Always

1 comments hidden view all 123 comments
Jonathan Riddell (jr) wrote :
2 comments hidden view all 123 comments

It cannot be gracefully dealt with because Gnome uses different system for creating their (telepathy) accounts and KAccounts has no way of knowing which provider is for gnome and which is for kde. To KAccounts, all is the same.

The way gnome creates telepathy accounts is also incompatible with ktp, this _will_ result in user having invalid ktp accounts. I am working on making these compatible, but for now they aren't and will not be till 15.08. There's nothing that can make it compatible.

facebook-im.service will not be installed from 15.04.1 as facebook chat support is deprecated.

Simply renaming all the files is also not a good option, because if you'll have both packages installed, you will have duplicated entries, each doing different things.

I'm afraid these two simply aren't co-installable.

> I'm afraid these two simply aren't co-installable.
that's quite a big fail compared to the normal setup for linux desktops. if we can't install two applications from gnomey stuff and kdey stuff at the same time that breaks package install for an awful lot of people

Changed in ktp-accounts-kcm (Ubuntu Wily):
milestone: none → ubuntu-15.10
tags: added: kubuntu
2 comments hidden view all 123 comments
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in ktp-accounts-kcm (Ubuntu):
status: New → Confirmed
Changed in meta-telepathy:
importance: Unknown → High
status: Unknown → New
3 comments hidden view all 123 comments

I'm getting this but not with facebook
pkg: error processing archive /var/cache/apt/archives/kde-config-telepathy-accounts_15.04.0-0ubuntu1~ubuntu15.04~ppa1_amd64.deb (--unpack):
 trying to overwrite '/usr/share/accounts/services/google-im.service', which is also in package account-plugin-google 0.12+15.04.20150415.1-0ubuntu2
dpkg-deb: error: subprocess paste was killed by signal (Broken pipe)
Errors were encountered while processing:
 /var/cache/apt/archives/kde-config-telepathy-accounts_15.04.0-0ubuntu1~ubuntu15.04~ppa1_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

Bob Treat (rptreat) wrote :

Re: post #9 - Purged the google hangouts program, deleted the file it wants to overwrite, confirmed its deletion, apt autoclean, apt autoremove, apt update and it still gives the error it can't overwrite the file that no longer exists.

Bob Treat (rptreat) wrote :

Turns out account-plugin-google is a service, "GNOME Control Center account plugins for single signon." I do have ubuntu-desktop installed. Purged that program, updated apt and now the telepathy installs.

1 comments hidden view all 123 comments

Yes, well, apparently nobody has thought about that.

Quoting Accounts SSO developer:
"hi! I'd say that the problem is on the .provider files only, because the service files refer to a provider, so as long as that's a different one, they won't mess up

I admit I don't have a solution for the .provider files anyway...

one possibility is to play with environment variables, to instruct libaccounts-glib to look for its files in a different directory"

So for now the only solution is to rename and use different install dir and use an env variable (I'm not sure which one yet).

Maciej Michno (radar) wrote :

I uninstalled account-plugin-google, then account-plugin-facebook and finally account-plugin-twitter to get it working. I don't use Unity or Gnome day to day, but they are installed on my system.

1 comments hidden view all 123 comments

This makes apt-get install to break. Can't install any new thing. I have tried `sudo dpkg --configure -a`, It didn't help. I'm waiting for a fix. ;(

Ales (w-ales) wrote :

> Peter Chibunna (peterchibunna) wrote on 2015-05-08:
> This makes apt-get install to break.

I can confirm that. Any attempt to install/remove/purge anything results:
"kde-telepathy-minimal : Depends: kde-config-telepathy-accounts (>= 0.9.0) but it is not installed"
"Unmet dependencies"
then ends without doing anything.

Running "apt-get -f install" doesn't help.

Ales (w-ales) wrote :

Finally I had to remove package "kde-telepathy" using Muon Package Manager.

"apt-get" works again, "apt-get autoremove" put away rest of Telepathy.
Too bad but I use it only occasionally so it's no big deal for me and I'm waiting for the fix.

Peter Chibunna (peterchibunna) wrote :

I did this just to get apt-get to work again, since I need to install other things.

`sudo apt-get update` then
`sudo dpkg -i --force-overwrite /var/cache/apt/archives/kde-config-telepathy-accounts_15.04.0-0ubuntu1~ubuntu15.04~ppa1_amd64.deb`

I don't know the long-term effects but since I'm can do without telepathy at the moment, I allowed the overwrite because it seems that the new provider file is from and for kde and not the standard sso.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in account-plugins (Ubuntu Wily):
status: New → Confirmed
Changed in account-plugins (Ubuntu):
status: New → Confirmed
Changed in kaccounts-providers (Ubuntu Wily):
status: New → Confirmed
Changed in kaccounts-providers (Ubuntu):
status: New → Confirmed
Changed in kubuntu-ppa:
status: New → Confirmed
3 comments hidden view all 123 comments

We still have a growing number of bug reports piling up on launchpad in regards to this bug.
I expect it is because many ubuntu users will have gnome stuff..
https://bugs.launchpad.net/kubuntu-ppa/+bug/1451728

Any progress?
Scarlett

One possible solution is adding an env variable and patching the install prefix.

That's the only solution we have right now.

Changed in meta-telepathy:
status: New → Unknown

Marking as invalid in account-plugins, since there's nothing to be fixed there.

Changed in account-plugins (Ubuntu):
status: Confirmed → Invalid
no longer affects: account-plugins (Ubuntu Wily)
Changed in hundredpapercuts:
status: New → Confirmed
importance: Undecided → High
Changed in account-plugins (Ubuntu):
importance: Undecided → High
Changed in kaccounts-providers (Ubuntu):
importance: Undecided → High
Changed in kaccounts-providers (Ubuntu Wily):
importance: Undecided → High
Changed in ktp-accounts-kcm (Ubuntu):
importance: Undecided → High
Changed in ktp-accounts-kcm (Ubuntu Wily):
importance: Undecided → High
summary: - kde-config-telepathy-accounts package install error
+ [master] kde-config-telepathy-accounts package install error

Removin account-plugin from list solved the problem in Debian.

Still piling up in Launchpad – hitting the community forums around the world - breaking APT into a blocked state.

Still no solution in sight?

kind regards

my comment didn't get transfered into KDE-bug-tracking?

This is a real blocker - so... Multi-Desktop environment (still recommended?) puts interested peoples desktop in a unsecure state as it blocks APT then.

If there is no other solution we will have to ask to remove Telepathy from Kubuntu-meta or _not_ to recommend a mixed Desktop-Environment any longer & put up a warning. May sound harsh, but...

This error covers two release + a third that's in current development.

A possible solution to get at least APT back into it's shoes again was posted in askubuntu:

https://askubuntu.com/questions/618389/error-upgrading-kde-telepathy-kubuntu-15-04

Changed in kaccounts-providers (Ubuntu):
milestone: none → xenial-updates
Philip Muškovac (yofel) on 2016-01-15
Changed in kaccounts-providers (Ubuntu):
milestone: xenial-updates → ubuntu-16.04
Changed in ktp-accounts-kcm (Ubuntu):
milestone: ubuntu-15.10 → ubuntu-16.04
Changed in kaccounts-providers (Ubuntu):
importance: High → Critical
no longer affects: account-plugins (Ubuntu)
Changed in ktp-accounts-kcm (Ubuntu):
importance: High → Critical
Changed in kaccounts-providers (Ubuntu Wily):
importance: High → Critical
Changed in ktp-accounts-kcm (Ubuntu Wily):
importance: High → Critical
Changed in hundredpapercuts:
importance: High → Critical
Changed in ktp-accounts-kcm (Ubuntu Wily):
status: Confirmed → Triaged
Changed in ktp-accounts-kcm (Ubuntu):
status: Confirmed → Triaged
Changed in kaccounts-providers (Ubuntu Wily):
status: Confirmed → Triaged
Changed in kaccounts-providers (Ubuntu):
status: Confirmed → Triaged
no longer affects: hundredpapercuts

Git commit 0b2bbbb1ca9266e8e2c9b685d4d44f1d69822b03 by Martin Klapetek.
Committed on 18/01/2016 at 19:55.
Pushed by mklapetek into branch 'master'.

Disable the KCM if AG_PROVIDERS and/or AG_SERVICES are empty

M +112 -0 src/kaccounts.cpp

http://commits.kde.org/kaccounts-integration/0b2bbbb1ca9266e8e2c9b685d4d44f1d69822b03

Git commit 0ba1dde28cfacff71b264bba1b43a3f6e5992406 by Martin Klapetek.
Committed on 18/01/2016 at 19:55.
Pushed by mklapetek into branch 'master'.

Force the installation of providers and services to $CMAKE_INSTALL_PREFIX/share/kaccounts

Because distros are unable to solve this file conflict, this will now
force all providers and services to be installed in own directory to
which libaccounts-glib needs to be pointed by env vars. Things won't
work without those env vars.
FIXED-IN: 16.04.0

M +18 -42 src/lib/cmake/FindAccountsFileDir.cmake

http://commits.kde.org/kaccounts-integration/0ba1dde28cfacff71b264bba1b43a3f6e5992406

Changed in meta-telepathy:
status: Unknown → Fix Released
tags: added: xenial

Will this be ported to 15.10?

2 comments hidden view all 123 comments

I just recently adopted KTP in the AUR and am having trouble with this change. Is it really necessary to introduce superfluous envvars (I don't think any KDE packages in Arch are shipping /etc/profile entries for anything at all, and I don't think anyone is going to propose pushing AG_PROVIDERS and AG_SERVICES into startkde), which means I'd have to add /etc/profile/kaccounts-integration.sh to support these envvars. It seems like Ubuntu should just be making kaccounts-integration and their account-pluigins packages conflict one another. The two providers that are common between them (twitter and google) are identical.

I'm not sure in what use case a provider or service file for accounts-sso will be desktop specific. Is there a reason they are not in an upstream accounts-sso project? I read all the ones Canonical provides and all the ones KDE had in the old ktp-accounts-kcm package and besides translation names I'm not seeing whats unique.

Speaking of ktp-accounts-kcm, all those provider files were prefixed with ktp-*. Maybe that would be a better answer here - just prefix KDE providers with kde-google.provider, etc? There are only three of them right now anyway, though now that I'm here I'm looking to port over / add more, because I'd love to get libpurple-matrix support in KTP.

I'd have no problems poking the accounts-sso or Launchpad team behind account-plugins for a better solution to this. From my understanding the design of accounts-sso is entirely so that different packages could put different providers in share/accounts/providers and have them show up in clients like kaccounts.

> Is it really necessary to introduce superfluous envvars
> It seems like Ubuntu should just be making kaccounts-integration and their account-pluigins packages conflict one another.

Yes, please go talk to them. I've tried. More than once.

> I don't think anyone is going to propose pushing AG_PROVIDERS and AG_SERVICES into startkde

No; kaccounts needs to install its own file to /etc/profile, which unfortunately
I've been too busy to fix and semi-forgot.

> The two providers that are common between them (twitter and google) are identical.

They are not and that's the problem.

> I'm not sure in what use case a provider or service file for accounts-sso will be desktop specific.

When you want your users to connect/share/use through "KDE" and not "Unity"
or whatever Ubuntu is using.

For the rest, read comment #1.

> I'd have no problems poking the accounts-sso or Launchpad team behind account-plugins for a better solution to this

Please do so if you think that. Just so you know, though, accounts-sso is moreless
in maintenance mode, there is nobody actively working on it.

I made a bug report against the account-providers package on Launchpad: https://bugs.launchpad.net/ubuntu/+source/account-plugins/+bug/1540135

If I don't hear a reply soon I'll start poking pspmteam members. It would be insane to go against accounts-sso standards because Ubuntu package maintainers can't fix dependencies, especially when they are the only distro shipping their account-plugins in the first place!

The bigger problem this actually brings is that Mission Control
is using the accounts-sso plugin to read your accounts and make
them available to Telepathy.

But it is now failing on AppArmor because it does not allow
Mission Control to access those files at the new location.

So if I don't find a solution for that^, then I will revert this fix
and let buntu remove ktp from their archives, if they wish to
do so.

The upstream solution does not actually work (it uses libaccounts-glib envars to set alternative profile directories, but apparmor will deny kaccounts access to those files, and would require permissions modifications in the Debian packages) and it breaks accounts-sso intended use (because by design, you should be placing accounts in /usr/share/accounts from multiple provider packages, which in theory could be third party).

The best case scenario would be that common providers like google.provider or twitter.provider would be unified into a shared project between the two groups, since the actual provider files are extremely similar to one another and could be unified (if you want the respective files I can upload them here as well, this is just a pretty quick reference): http://i.imgur.com/z3U67z4.png

The problem on that front is that accounts-sso is seeing very little development and is effectively in maintenance mode.

Having these packages conflict actually does not break either KDE's Telepathy or Ubuntu's Empathy - the KDE client will still load Ubuntu providers, and vice versa. The problem is they provide the same files, and thus should conflict regardless.

You could be more selective and just make account-plugin-google and account-plugin-twitter conflict for now, because then regardless of which packages you have installed google and twitter signon functionality would work. The KDE package however is not just those provider files - it also includes GUI dialogs for owncloud and generic services enablement. But then the problem becomes as KTP adds more services to its online accounts you get additional conflicts.

Fundamentally though KDE should not be patching their system settings dialogs because of a package conflict in a single distro that also breaks the Telepathy standards and introduces what would be one of very few instances of the KDE desktop imposing system wide environment variables. Either accounts-sso unifies common provider files in a shared project, or you just make packages providing the same providers conflict with one another.

Ignore that last one, I should not be explaining with Ubuntu devs just after waking up in the morning.

If you can, comment on the Launchpad bug, Mardegan wants to talk about making a shared package, which I guess would end up in accounts-sso?

Can Telepathy for an interim-time be taken off-list from Kubuntu-meta as install-candidate until this ungracious matter gets solved?

I won't have to run into this again when installing K-Mobile on my new BQ10 Tablet (Ubuntu-Touch preinstalled) in two month.

Changed in meta-telepathy:
status: Fix Released → Confirmed
Alberto Mardegan (mardy) on 2016-02-19
Changed in libaccounts-glib (Ubuntu):
assignee: nobody → Alberto Mardegan (mardy)
importance: Undecided → Critical
status: New → In Progress
Changed in meta-telepathy:
status: Confirmed → Fix Released
Changed in libaccounts-glib (Ubuntu):
status: In Progress → Fix Released
Philip Muškovac (yofel) on 2016-03-12
Changed in kaccounts-integration (Ubuntu):
importance: Undecided → Critical
status: New → In Progress
milestone: none → ubuntu-16.04
Changed in ktp-accounts-kcm (Ubuntu Wily):
milestone: ubuntu-15.10 → none
Changed in kaccounts-integration (Ubuntu):
status: In Progress → Fix Released
Changed in kubuntu-ppa:
status: Confirmed → Fix Committed
Thomas (tg-indodiver) on 2016-04-22
Changed in kubuntu-ppa:
status: Fix Committed → Fix Released
Changed in kaccounts-integration (Ubuntu):
assignee: nobody → Scarlett Clark (sgclark)
status: Fix Released → In Progress
Changed in kaccounts-providers (Ubuntu):
status: Triaged → Confirmed
43 comments hidden view all 123 comments
Robert Bredereck (rbredereck) wrote :

Hi, I am maintaining a multi-user system for my working group. Since some people use KDE, some use MATE and some Gnome, this bug is an absolute show stopper. It does not allow us to install the meta packages e.g. for KDE and MATE in parallel.

The only workaround I know is to manually remove the kde telepathy packages. Since this bug is now marked as "fixed", what can I do instead? Do I have do include the "staging-misc PPA" or will this fix be included in the Ubuntu repository or in the "kubuntu updates PPA" at some point of time?

Alberto Mardegan (mardy) wrote :

Hi Robert, this bug will definitely be fixed in the LTS 16.04, in a future update. If you are using the Kubuntu PPA Scarlett has mentioned before and you still get installation errors, the bug you want to follow is bug 1565772 (which is also a candidate for being fixed as an LTS update).

Changed in kaccounts-providers (Ubuntu):
status: Confirmed → Triaged
Robert Bredereck (rbredereck) wrote :

Hi, I just tested whether adding the staging-misc ppa solves the problem. Unfortunately, it does not! More importantly, it seems like there are still files in conflict that are not mentioned in bug 1565772. Hence, I fear that this will not be solved even if bug 1565772 is resolved.

("/usr/share/accounts/services/google-im.service" which is also in "account-plugin-google")

It is important to say that the problem appears then configuring "kde-config-telepathy-accounts" which is not contained in the above mentioned PPA for xenial. This explains why it cannot be fixed.

Finally, I highly recommend that the Kubuntu quality testers should add the following extremely simple test case:
- install ubuntu (standard, no changes)
- sudo apt-get install kubuntu-desktop

The expected behavior is that one should get a system where the user can select between unity and kde. In current Ubuntu 16.04, however, one gets install conflicts. (In general, one should be able to install the meta-packages of all flavors in parallel.)

Tommy_CZ (t-kijas) wrote :

Xenial, 64bit, Installed Ubuntu and then tried to install KDE (Kubuntu).

kde-config-telepathy-accounts is in conflict with account-plugin-google.

Greg (gcstatter) on 2016-06-14
Changed in kubuntu-ppa:
assignee: nobody → Greg (gcstatter)
Sergey Zolotarev (szx) wrote :

I have the same problem as Tommy_CZ (#87), and now I'm stuck in a "apt-get install -f" loop:

Unpacking kde-config-telepathy-accounts (4:15.12.3-0ubuntu1) ...
dpkg: error processing archive /var/cache/apt/archives/kde-config-telepathy-accounts_4%3a15.12.3-0ubuntu1_amd64.deb (--unpack):
 trying to overwrite '/usr/share/accounts/services/google-im.service', which is also in package account-plugin-google 0.12+16.04.20160126-0ubuntu1
Processing triggers for libc-bin (2.23-0ubuntu3) ...
Errors were encountered while processing:
 /var/cache/apt/archives/kde-config-telepathy-accounts_4%3a15.12.3-0ubuntu1_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

Sergey Zolotarev (szx) wrote :

Solved it by running:

sudo dpkg -r unity-scope-gdrive
sudo dpkg -r account-plugin-google
sudo apt-get -f install

brandon (brandon-m-paquette) wrote :

Also jammed up w/ this bug.

Running Ubuntu 16.04 MATE & tried to install Kubuntu Desktop via Ubuntu Software Center.

Now stuck in apt-get install-f loop which prevents installing anything else. here's a log from trying to install synaptic post-bug

>>> sudo apt-get install synaptic

Reading package lists... Done
Building dependency tree
Reading state information... Done
You might want to run 'apt-get -f install' to correct these:
The following packages have unmet dependencies:
 kde-telepathy-minimal : Depends: kde-config-telepathy-accounts (>= 15.04.0) but it is not going to be installed
 synaptic : Depends: libept1.5.0 but it is not going to be installed
            Recommends: rarian-compat but it is not going to be installed
E: Unmet dependencies. Try 'apt-get -f install' with no packages (or specify a solution).

>>> sudo apt-get -f install

Reading package lists... Done
Building dependency tree
Reading state information... Done
Correcting dependencies... Done
The following package was automatically installed and is no longer required:
  kde-l10n-engb
Use 'sudo apt autoremove' to remove it.
The following additional packages will be installed:
  kde-config-telepathy-accounts
The following NEW packages will be installed:
  kde-config-telepathy-accounts
0 upgraded, 1 newly installed, 0 to remove and 20 not upgraded.
2 not fully installed or removed.
Need to get 0 B/137 kB of archives.
After this operation, 825 kB of additional disk space will be used.
Do you want to continue? [Y/n] y
(Reading database ... 298079 files and directories currently installed.)
Preparing to unpack .../kde-config-telepathy-accounts_4%3a15.12.3-0ubuntu1_amd64.deb ...
Unpacking kde-config-telepathy-accounts (4:15.12.3-0ubuntu1) ...
dpkg: error processing archive /var/cache/apt/archives/kde-config-telepathy-accounts_4%3a15.12.3-0ubuntu1_amd64.deb (--unpack):
 trying to overwrite '/usr/share/accounts/services/google-im.service', which is also in package account-plugin-google 0.12+16.04.20160126-0ubuntu1
Processing triggers for libc-bin (2.23-0ubuntu3) ...
Errors were encountered while processing:
 /var/cache/apt/archives/kde-config-telepathy-accounts_4%3a15.12.3-0ubuntu1_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

>>> sudo dpkg -r account-plugin-google

dpkg: dependency problems prevent removal of account-plugin-google:
 ubuntu-mate-desktop depends on account-plugin-google.

dpkg: error processing package account-plugin-google (--remove):
 dependency problems - not removing
Errors were encountered while processing:
 account-plugin-google

>>> dpkg --remove --force-remove-reinstreq account-plugin-google

dpkg: error: requested operation requires superuser privilege
brandon@ubuntu:~$ sudo dpkg --remove --force-remove-reinstreq account-plugin-google
dpkg: dependency problems prevent removal of account-plugin-google:
 ubuntu-mate-desktop depends on account-plugin-google.

dpkg: error processing package account-plugin-google (--remove):
 dependency problems - not removing
Errors were encountered while processing:
 account-plugin-google

Robert Bredereck (rbredereck) wrote :

Is there anybody working to solve this?

Any workaround? Temporary solution?

Nico (nicolasbrailo) wrote :

You can use dpkg --remove. It'll complain that you can't uninstall package $X because $Y depends on it; when that happens, try dpkg --remove $Y (and so on, until it doesn't complain anymore).

You won't be able to install the package you needed but at least apt-get should be usable again.

LtWorf (tiposchi) wrote :

Can you at least put a Conflict in the package so that it doesn't break in the middle of the installation, and aptitude can suggest to remove the gnome one to install the other?

affects: meta-telepathy → telepathy-kde

As google-im.service in kde-config-telepathy-accounts is identical to the same-named file in account-plugin-google, a possible solution is to dpkg-divert /usr/share/accounts/google-im.service in the preinst of the package.

This is fixed. My guess is that an SRU will need to be submitted for inclusion on xenial ISOs. I am currently do not have the time to contribute to Kubuntu, so clivejo or yofel will need to get this done. On another note it looks like KTP may be unmaintained upstream and dropping it all togther is an option.

Cheers,
Scarlett.

Changed in kaccounts-integration (Ubuntu):
assignee: Scarlett Gately Clark (sgclark) → nobody
Robert Bredereck (rbredereck) wrote :

There may be a fix for some developers, but for thousands of users, nothing chanced since May 2015 (!) when this bug was filed!

This bug is fixed when you can do the following two simple steps (which everyone would except to work for a linux distrubution without errors):

1. Install you your OS (plain Ubuntu 16.04).
2. Install "KDE" as one of the most frequently used desktops.
   (For Ubuntu, done by installing the kubuntu meta-package by e.g.
    "sudo apt-get install kubuntu-desktop")

Please do not tell me that this is a different bug, all related bugs are marked as duplicate to this bug report.

Dread Knight (dread.knight) wrote :

I can't switch (install) KDE because of this crap... not kool.

And I can't switch (install) Unity for the same reason!!!!

On 08/28/2016 04:41 PM, Dread Knight wrote:
> I can't switch (install) KDE because of this crap... not kool.
>

when I wrote
sudo apt remove account-plugin-google unity-scope-gdrive kde-telepathy-minimal kde-telepathy

The problem solved and the setup continued!

Thank you.

Le 29/08/2016 à 21:27, Mohammed Alkindi a écrit :
> when I wrote
> sudo apt remove account-plugin-google unity-scope-gdrive kde-telepathy-minimal kde-telepathy
>
> The problem solved and the setup continued!
>

Grey Blackbeard (blackbeard2) wrote :

I tinkered with a similar command, then could install Gnome. It meets
my needs so I might not even try to install Unity, but I think it would
install now, too.

On 08/29/2016 02:27 PM, Mohammed Alkindi wrote:
> when I wrote
> sudo apt remove account-plugin-google unity-scope-gdrive kde-telepathy-minimal kde-telepathy
>
> The problem solved and the setup continued!
>

Just the answer I needed to hear to uninstall and never attempt to use or suggest using and in fact cant uninstall it so back to the drawing board. Better yet, to the trash with the drawing baord and back to my beloved Windows.

Robert Bredereck (rbredereck) wrote :

1. Many (non-expert, just) users are heavily affected by this bug. In fact, everyone that wants to install KDE and another major desktop environment in parallel will fail. Some will quite likely give up using (K)Ubuntu. (If even such simple things do not work easily...)
2. It was opened in May 2015.
3. This bug only exists because of wrong file/path names. You do not need to be a genius hacker to fix it.
4. It was resolved upstream in February 2016.
5. It was promised to be resolved for Ubuntu 16.04.
6. Now, almost two months after Ubuntu 16.10 was released, it still exists.

The history of this bug tells a lot about the current status of (K)Ubuntu.

Ubuntu: Nobody cares much about things beyond Unity.
Kubuntu: Nobody (if anyone is still working on it) cares about things beyond Plasma.

PS: I know that bashing here does not help much. However, most likely nothing will help at this stage...

Alberto Mardegan (mardy) wrote :

I've just added SRU information to this bug. Hopefully some Ubuntu developer with the proper archive permissions will be able to release the Yakkety packages to Xenial. Hopefully bug 1565772 will get an SRU at the same time.

description: updated
Bernd (bdresler) wrote :

bitte deutsch schreiben

Am 05.12.2016 um 10:37 schrieb Alberto Mardegan:
> I've just added SRU information to this bug. Hopefully some Ubuntu
> developer with the proper archive permissions will be able to release
> the Yakkety packages to Xenial. Hopefully bug 1565772 will get an SRU at
> the same time.
>
> ** Description changed:
>
> Installing from Kubuntu 15.04 backports:
>
> Unpacking kde-config-telepathy-accounts (15.04.0-0ubuntu1~ubuntu15.04~ppa1) over (0.9.0-0ubuntu1) ...
> dpkg: error processing archive /var/cache/apt/archives/kde-config-telepathy-accounts_15.04.0-0ubuntu1~ubuntu15.04~ppa1_amd64.deb (--unpack):
> - trying to overwrite '/usr/share/accounts/services/facebook-im.service', which is also in package account-plugin-facebook 0.12+15.04.20150415.1-0ubuntu1
> + trying to overwrite '/usr/share/accounts/services/facebook-im.service', which is also in package account-plugin-facebook 0.12+15.04.20150415.1-0ubuntu1
> dpkg-deb: error: subprocess paste was killed by signal (Broken pipe)
> +
> +
> + SRU information
> + ===============
> +
> + [Impact] It's not possible to install KDE and Unity because of several
> + file conflicts: many files under
> + /usr/share/accounts/{providers,services}/ are provided by both the
> + package "kaccounts-providers" and packages build from the "account-
> + pluigins" source package, for example account-plugin-facebook.
> +
> + [Test case] Install both kaccounts-providers and account-plugin-facebook: you'll get file conflicts for /usr/share/accounts/services/facebook-im.service and /usr/share/accounts/providers/facebook.provider.
> + You might get other conflicts as well, but those are due to bug 1565772 (also nominated for SRU).
> +
> + [Regression potential] Minimal: the changed packages belong to the
> + default KDE installation, and have already landed in Yakkety. Things
> + appear to be working fine there: account creation is still possible
> + under KDE, even after changing the file paths as per this fix.
>

@ bdresler:

Bitte akzeptiere, dass die Fehlerberichterstellung mit kleinstem gemeinsamer Nenner in englischer Sprache stattfindet.

Please accept that bug-reporting takes place in english. As a unique exception I did a free translation. – (Als einmalige, ausserordentliche Ausnahme habe ich Dir den Text übersetzt - für weitere Fragen nutze doch bitte einfach Ubuntuusers.de , (lokales Hilfe-Forum)).

-> https://paste.ubuntu.com/23586350/

@ mardy: I'm not completely familiar with SRU-updates [1], but it may certainly help to subscribe a sponsor as outlined there in 3.0.5 . They definetly prefer to have 'debdiff'. Thanks for caring!

[1] https://wiki.ubuntu.com/StableReleaseUpdates

description: updated
Bernd (bdresler) wrote :

nein, das akzeptiere ich nicht. Die Amtssprache in Deutschland ist DEUTSCH.

Es wir keine andere Sprache zugelassen.

Am 06.12.2016 um 04:33 schrieb Flames_in_Paradise:
> @ bdresler:
>
> Bitte akzeptiere, dass die Fehlerberichterstellung mit kleinstem
> gemeinsamer Nenner in englischer Sprache stattfindet.
>
> Please accept that bug-reporting takes place in english. As a unique
> exception I did a free translation. – (Als einmalige, ausserordentliche
> Ausnahme habe ich Dir den Text übersetzt - für weitere Fragen nutze doch
> bitte einfach Ubuntuusers.de , (lokales Hilfe-Forum)).
>
> -> https://paste.ubuntu.com/23586350/
>
> @ mardy: I'm not completely familiar with SRU-updates [1], but it may
> certainly help to subscribe a sponsor as outlined there in 3.0.5 . They
> definetly prefer to have 'debdiff'. Thanks for caring!
>
> [1] https://wiki.ubuntu.com/StableReleaseUpdates
>

Changed in kubuntu-ppa:
assignee: Greg (gcstatter) → nobody
Download full text (4.5 KiB)

Sorry for the provocation, but I think, it's neccessary.

Entschuldigung, aber Sie ist nicht im Deutschland. Sie ist auf die
Weltnetz, bekannt als WWW (auch ein English wort, bedeutet Welt-Brei Netz).
Der Site, was Sie benutzen ist ein internationales Website. Sie können zum
Beispiel an die Startseite
<https://mailtrack.io/trace/link/476ddd6a857ce63e1d71622a2101fd2c95914cbf?url=http%3A%2F%2Fbugs.launchpad.net&signature=51570c6d54dd3d7f>
blicken: Es ist ein internationales Webseite, wo die Amtssprache English
ist.

Ich bin zBs. Ungarisch. Die Meisten von Uns sind aus America. Viele sind
aus Europa: Deutschland, Frankreich, Ungarn, etc.. Wer diese Bug reparieren
würde, würde warscheinlich Englisch sprechen.

Wenn Sie wollen nicht internationale, sondern Deutsche Seiten suchen, bitte
passen Sie auf die TLD
<https://mailtrack.io/trace/link/8c0117e95f3b08be0fd58d80023169e3cf2e748d?url=https%3A%2F%2Fde.wikipedia.org%2Fwiki%2FTop-Level-Domain&signature=ef9147a239b9b9ef>:
Es muss de sein.

Short translation:

You aren't in Germany, you are in the Internet. Most of us are American,
but many are from Europa (i'm especially Hungarian). If you wanna search
for german sites, please take care about the TLD (*.de).

2016-12-06 12:49 GMT+01:00 Bernd <email address hidden>:

> nein, das akzeptiere ich nicht. Die Amtssprache in Deutschland ist
> DEUTSCH.
>
> Es wir keine andere Sprache zugelassen.
>
>
> Am 06.12.2016 um 04:33 schrieb Flames_in_Paradise:
> > @ bdresler:
> >
> > Bitte akzeptiere, dass die Fehlerberichterstellung mit kleinstem
> > gemeinsamer Nenner in englischer Sprache stattfindet.
> >
> > Please accept that bug-reporting takes place in english. As a unique
> > exception I did a free translation. – (Als einmalige, ausserordentliche
> > Ausnahme habe ich Dir den Text übersetzt - für weitere Fragen nutze doch
> > bitte einfach Ubuntuusers.de , (lokales Hilfe-Forum)).
> >
> > -> https://paste.ubuntu.com/23586350/
> >
> > @ mardy: I'm not completely familiar with SRU-updates [1], but it may
> > certainly help to subscribe a sponsor as outlined there in 3.0.5 . They
> > definetly prefer to have 'debdiff'. Thanks for caring!
> >
> > [1] https://wiki.ubuntu.com/StableReleaseUpdates
> >
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1542840).
> https://bugs.launchpad.net/bugs/1451728
>
> Title:
> [master] kde-config-telepathy-accounts package install error
>
> Status in Kubuntu PPA:
> Fix Released
> Status in Telepathy KDE:
> Fix Released
> Status in kaccounts-integration package in Ubuntu:
> In Progress
> Status in kaccounts-providers package in Ubuntu:
> Triaged
> Status in ktp-accounts-kcm package in Ubuntu:
> Triaged
> Status in libaccounts-glib package in Ubuntu:
> Fix Released
> Status in kaccounts-providers source package in Wily:
> Triaged
> Status in ktp-accounts-kcm source package in Wily:
> Triaged
>
> Bug description:
> Installing from Kubuntu 15.04 backports:
>
> Unpacking kde-config-telepathy-accounts (15.04.0-0ubuntu1~ubuntu15.04~ppa1)
> over (0.9.0-0ubuntu1) ...
> dpkg: error processing archive /var/cache/apt/archives/kde-
> config-telepathy-accounts_15.04.0-...

Read more...

@ wxl: I've subscribed u to this bug, as it possibly could be tackled for 16.04.2 ?

Sorry, I don't understand english...

Le 09/12/2016 à 18:04, Flames_in_Paradise a écrit :
> @ wxl: I've subscribed u to this bug, as it possibly could be tackled
> for 16.04.2 ?
>

N H (thenh813) wrote :

I have experienced this problem as well, while adding KDE to the desktop environments on my copy of Ubuntu. As I like XFCE for most things, but decided to see how recent versions of KDE look. During installation, the KDE accounts config package kept trying to overwrite files provides by other packages. Apt-get install -f did not do it's job, and threw the same errors. I eventually just grabbed the .deb files using pkgs.org and installed them with dpkg --force-all. This resulted in all sorts of file conflicts, which as I used the --force-all option, it overrided and installed anyway. KDE seems to be working normally. If I need to, I will reinstalled the package that got overwritten, once again with the --force-all option to make sure it does it's job. However is packaging those two packages, need to decided who provides what, or move the configs off to a third package that they both could depend on instead of conflicting.

Bernd (bdresler) wrote :

bitte deutsch schreiben

Am 26.01.2017 um 19:36 schrieb N H:
> I have experienced this problem as well, while adding KDE to the desktop
> environments on my copy of Ubuntu. As I like XFCE for most things, but
> decided to see how recent versions of KDE look. During installation, the
> KDE accounts config package kept trying to overwrite files provides by
> other packages. Apt-get install -f did not do it's job, and threw the
> same errors. I eventually just grabbed the .deb files using pkgs.org and
> installed them with dpkg --force-all. This resulted in all sorts of file
> conflicts, which as I used the --force-all option, it overrided and
> installed anyway. KDE seems to be working normally. If I need to, I will
> reinstalled the package that got overwritten, once again with the
> --force-all option to make sure it does it's job. However is packaging
> those two packages, need to decided who provides what, or move the
> configs off to a third package that they both could depend on instead of
> conflicting.
>

malvonni (malvonni) wrote :
Download full text (3.4 KiB)

Thanks!

Em sex, 27 de jan de 2017 11:11, Bernd <email address hidden> escreveu:

> bitte deutsch schreiben
>
>
>
> Am 26.01.2017 um 19:36 schrieb N H:
> > I have experienced this problem as well, while adding KDE to the desktop
> > environments on my copy of Ubuntu. As I like XFCE for most things, but
> > decided to see how recent versions of KDE look. During installation, the
> > KDE accounts config package kept trying to overwrite files provides by
> > other packages. Apt-get install -f did not do it's job, and threw the
> > same errors. I eventually just grabbed the .deb files using pkgs.org and
> > installed them with dpkg --force-all. This resulted in all sorts of file
> > conflicts, which as I used the --force-all option, it overrided and
> > installed anyway. KDE seems to be working normally. If I need to, I will
> > reinstalled the package that got overwritten, once again with the
> > --force-all option to make sure it does it's job. However is packaging
> > those two packages, need to decided who provides what, or move the
> > configs off to a third package that they both could depend on instead of
> > conflicting.
> >
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1572183).
> https://bugs.launchpad.net/bugs/1451728
>
> Title:
> [master] kde-config-telepathy-accounts package install error
>
> Status in Kubuntu PPA:
> Fix Released
> Status in Telepathy KDE:
> Fix Released
> Status in kaccounts-integration package in Ubuntu:
> In Progress
> Status in kaccounts-providers package in Ubuntu:
> Triaged
> Status in ktp-accounts-kcm package in Ubuntu:
> Triaged
> Status in libaccounts-glib package in Ubuntu:
> Fix Released
> Status in kaccounts-providers source package in Wily:
> Triaged
> Status in ktp-accounts-kcm source package in Wily:
> Triaged
>
> Bug description:
> Installing from Kubuntu 15.04 backports:
>
> Unpacking kde-config-telepathy-accounts
> (15.04.0-0ubuntu1~ubuntu15.04~ppa1) over (0.9.0-0ubuntu1) ...
> dpkg: error processing archive
> /var/cache/apt/archives/kde-config-telepathy-accounts_15.04.0-0ubuntu1~ubuntu15.04~ppa1_amd64.deb
> (--unpack):
> trying to overwrite '/usr/share/accounts/services/facebook-im.service',
> which is also in package account-plugin-facebook
> 0.12+15.04.20150415.1-0ubuntu1
> dpkg-deb: error: subprocess paste was killed by signal (Broken pipe)
>
> SRU information
> ===============
>
> [Impact] It's not possible to install KDE and Unity in co-existence
> because of several file conflicts: many files under
> /usr/share/accounts/{providers,services}/ are provided by both the
> package "kaccounts-providers" and packages build from the "account-
> plugins" source package, for example 'account-plugin-facebook'.
>
> [Test case] Install both kaccounts-providers and
> account-plugin-facebook: you'll get file conflicts for
> /usr/share/accounts/services/facebook-im.service and
> /usr/share/accounts/providers/facebook.provider.
> You might get other conflicts as well, but those are due to bug 1565772
> (also nominated for SRU).
>
> [Regression potential] Minimal: the changed packages belong to the
> default ...

Read more...

Marcus (marcus-dahlberg) wrote :
Download full text (3.5 KiB)

Can someone please block this Bernd dude?

Marcus

On 27 January 2017 at 13:58, Bernd <email address hidden> wrote:

> bitte deutsch schreiben
>
>
>
> Am 26.01.2017 um 19:36 schrieb N H:
> > I have experienced this problem as well, while adding KDE to the desktop
> > environments on my copy of Ubuntu. As I like XFCE for most things, but
> > decided to see how recent versions of KDE look. During installation, the
> > KDE accounts config package kept trying to overwrite files provides by
> > other packages. Apt-get install -f did not do it's job, and threw the
> > same errors. I eventually just grabbed the .deb files using pkgs.org and
> > installed them with dpkg --force-all. This resulted in all sorts of file
> > conflicts, which as I used the --force-all option, it overrided and
> > installed anyway. KDE seems to be working normally. If I need to, I will
> > reinstalled the package that got overwritten, once again with the
> > --force-all option to make sure it does it's job. However is packaging
> > those two packages, need to decided who provides what, or move the
> > configs off to a third package that they both could depend on instead of
> > conflicting.
> >
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1596931).
> https://bugs.launchpad.net/bugs/1451728
>
> Title:
> [master] kde-config-telepathy-accounts package install error
>
> Status in Kubuntu PPA:
> Fix Released
> Status in Telepathy KDE:
> Fix Released
> Status in kaccounts-integration package in Ubuntu:
> In Progress
> Status in kaccounts-providers package in Ubuntu:
> Triaged
> Status in ktp-accounts-kcm package in Ubuntu:
> Triaged
> Status in libaccounts-glib package in Ubuntu:
> Fix Released
> Status in kaccounts-providers source package in Wily:
> Triaged
> Status in ktp-accounts-kcm source package in Wily:
> Triaged
>
> Bug description:
> Installing from Kubuntu 15.04 backports:
>
> Unpacking kde-config-telepathy-accounts (15.04.0-0ubuntu1~ubuntu15.04~ppa1)
> over (0.9.0-0ubuntu1) ...
> dpkg: error processing archive /var/cache/apt/archives/kde-
> config-telepathy-accounts_15.04.0-0ubuntu1~ubuntu15.04~ppa1_amd64.deb
> (--unpack):
> trying to overwrite '/usr/share/accounts/services/facebook-im.service',
> which is also in package account-plugin-facebook
> 0.12+15.04.20150415.1-0ubuntu1
> dpkg-deb: error: subprocess paste was killed by signal (Broken pipe)
>
> SRU information
> ===============
>
> [Impact] It's not possible to install KDE and Unity in co-existence
> because of several file conflicts: many files under
> /usr/share/accounts/{providers,services}/ are provided by both the
> package "kaccounts-providers" and packages build from the "account-
> plugins" source package, for example 'account-plugin-facebook'.
>
> [Test case] Install both kaccounts-providers and
> account-plugin-facebook: you'll get file conflicts for
> /usr/share/accounts/services/facebook-im.service and
> /usr/share/accounts/providers/facebook.provider.
> You might get other conflicts as well, but those are due to bug 1565772
> (also nominated for SRU).
>
> [Regression potential] Minimal: the changed...

Read more...

Download full text (5.8 KiB)

Unsubscribe

Sent from Yahoo Mail on Android

  On Fri, Jan 27, 2017 at 8:24 AM, Marcus<email address hidden> wrote: Can someone please block this Bernd dude?

Marcus

On 27 January 2017 at 13:58, Bernd <email address hidden> wrote:

> bitte deutsch schreiben
>
>
>
> Am 26.01.2017 um 19:36 schrieb N H:
> > I have experienced this problem as well, while adding KDE to the desktop
> > environments on my copy of Ubuntu. As I like XFCE for most things, but
> > decided to see how recent versions of KDE look. During installation, the
> > KDE accounts config package kept trying to overwrite files provides by
> > other packages. Apt-get install -f did not do it's job, and threw the
> > same errors. I eventually just grabbed the .deb files using pkgs.org and
> > installed them with dpkg --force-all. This resulted in all sorts of file
> > conflicts, which as I used the --force-all option, it overrided and
> > installed anyway. KDE seems to be working normally. If I need to, I will
> > reinstalled the package that got overwritten, once again with the
> > --force-all option to make sure it does it's job. However is packaging
> > those two packages, need to decided who provides what, or move the
> > configs off to a third package that they both could depend on instead of
> > conflicting.
> >
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1596931).
> https://bugs.launchpad.net/bugs/1451728
>
> Title:
>  [master] kde-config-telepathy-accounts package install error
>
> Status in Kubuntu PPA:
>  Fix Released
> Status in Telepathy KDE:
>  Fix Released
> Status in kaccounts-integration package in Ubuntu:
>  In Progress
> Status in kaccounts-providers package in Ubuntu:
>  Triaged
> Status in ktp-accounts-kcm package in Ubuntu:
>  Triaged
> Status in libaccounts-glib package in Ubuntu:
>  Fix Released
> Status in kaccounts-providers source package in Wily:
>  Triaged
> Status in ktp-accounts-kcm source package in Wily:
>  Triaged
>
> Bug description:
>  Installing from Kubuntu 15.04 backports:
>
>  Unpacking kde-config-telepathy-accounts (15.04.0-0ubuntu1~ubuntu15.04~ppa1)
> over (0.9.0-0ubuntu1) ...
>  dpkg: error processing archive /var/cache/apt/archives/kde-
> config-telepathy-accounts_15.04.0-0ubuntu1~ubuntu15.04~ppa1_amd64.deb
> (--unpack):
>    trying to overwrite '/usr/share/accounts/services/facebook-im.service',
> which is also in package account-plugin-facebook
> 0.12+15.04.20150415.1-0ubuntu1
>  dpkg-deb: error: subprocess paste was killed by signal (Broken pipe)
>
>  SRU information
>  ===============
>
>  [Impact] It's not possible to install KDE and Unity in co-existence
>  because of several file conflicts: many files under
>  /usr/share/accounts/{providers,services}/ are provided by both the
>  package "kaccounts-providers" and packages build from the "account-
>  plugins" source package, for example 'account-plugin-facebook'.
>
>  [Test case] Install both kaccounts-providers and
> account-plugin-facebook: you'll get file conflicts for
> /usr/share/accounts/services/facebook-im.service and
> /usr/share/accounts/providers/facebook.provider.
>  You might get other conflicts as well, but th...

Read more...

Bernd (bdresler) wrote :

bitte deutsch schreiben

Am 27.01.2017 um 14:24 schrieb Marcus:
> bitte deutsch schreiben

Bernd (bdresler) wrote :
Download full text (3.6 KiB)

bitte deutsch schreiben

Am 27.01.2017 um 14:15 schrieb malvonni:
> Thanks!
>
> Em sex, 27 de jan de 2017 11:11, Bernd <email address hidden> escreveu:
>
>> bitte deutsch schreiben
>>
>>
>>
>> Am 26.01.2017 um 19:36 schrieb N H:
>>> I have experienced this problem as well, while adding KDE to the desktop
>>> environments on my copy of Ubuntu. As I like XFCE for most things, but
>>> decided to see how recent versions of KDE look. During installation, the
>>> KDE accounts config package kept trying to overwrite files provides by
>>> other packages. Apt-get install -f did not do it's job, and threw the
>>> same errors. I eventually just grabbed the .deb files using pkgs.org and
>>> installed them with dpkg --force-all. This resulted in all sorts of file
>>> conflicts, which as I used the --force-all option, it overrided and
>>> installed anyway. KDE seems to be working normally. If I need to, I will
>>> reinstalled the package that got overwritten, once again with the
>>> --force-all option to make sure it does it's job. However is packaging
>>> those two packages, need to decided who provides what, or move the
>>> configs off to a third package that they both could depend on instead of
>>> conflicting.
>>>
>> --
>> You received this bug notification because you are subscribed to a
>> duplicate bug report (1572183).
>> https://bugs.launchpad.net/bugs/1451728
>>
>> Title:
>> [master] kde-config-telepathy-accounts package install error
>>
>> Status in Kubuntu PPA:
>> Fix Released
>> Status in Telepathy KDE:
>> Fix Released
>> Status in kaccounts-integration package in Ubuntu:
>> In Progress
>> Status in kaccounts-providers package in Ubuntu:
>> Triaged
>> Status in ktp-accounts-kcm package in Ubuntu:
>> Triaged
>> Status in libaccounts-glib package in Ubuntu:
>> Fix Released
>> Status in kaccounts-providers source package in Wily:
>> Triaged
>> Status in ktp-accounts-kcm source package in Wily:
>> Triaged
>>
>> Bug description:
>> Installing from Kubuntu 15.04 backports:
>>
>> Unpacking kde-config-telepathy-accounts
>> (15.04.0-0ubuntu1~ubuntu15.04~ppa1) over (0.9.0-0ubuntu1) ...
>> dpkg: error processing archive
>> /var/cache/apt/archives/kde-config-telepathy-accounts_15.04.0-0ubuntu1~ubuntu15.04~ppa1_amd64.deb
>> (--unpack):
>> trying to overwrite '/usr/share/accounts/services/facebook-im.service',
>> which is also in package account-plugin-facebook
>> 0.12+15.04.20150415.1-0ubuntu1
>> dpkg-deb: error: subprocess paste was killed by signal (Broken pipe)
>>
>> SRU information
>> ===============
>>
>> [Impact] It's not possible to install KDE and Unity in co-existence
>> because of several file conflicts: many files under
>> /usr/share/accounts/{providers,services}/ are provided by both the
>> package "kaccounts-providers" and packages build from the "account-
>> plugins" source package, for example 'account-plugin-facebook'.
>>
>> [Test case] Install both kaccounts-providers and
>> account-plugin-facebook: you'll get file conflicts for
>> /usr/share/accounts/services/facebook-im.service and
>> /usr/share/accounts/providers/facebook.provider.
>> You might get other conflicts as w...

Read more...

Download full text (6.3 KiB)

Nei Bernd, skriv norsk da.

Or English, so everyone can understand without google translate.

2017-01-27 23:27 GMT+01:00 Bernd <email address hidden>:

> bitte deutsch schreiben
>
>
> Am 27.01.2017 um 14:15 schrieb malvonni:
> > Thanks!
> >
> > Em sex, 27 de jan de 2017 11:11, Bernd <email address hidden> escreveu:
> >
> >> bitte deutsch schreiben
> >>
> >>
> >>
> >> Am 26.01.2017 um 19:36 schrieb N H:
> >>> I have experienced this problem as well, while adding KDE to the
> desktop
> >>> environments on my copy of Ubuntu. As I like XFCE for most things, but
> >>> decided to see how recent versions of KDE look. During installation,
> the
> >>> KDE accounts config package kept trying to overwrite files provides by
> >>> other packages. Apt-get install -f did not do it's job, and threw the
> >>> same errors. I eventually just grabbed the .deb files using pkgs.org
> and
> >>> installed them with dpkg --force-all. This resulted in all sorts of
> file
> >>> conflicts, which as I used the --force-all option, it overrided and
> >>> installed anyway. KDE seems to be working normally. If I need to, I
> will
> >>> reinstalled the package that got overwritten, once again with the
> >>> --force-all option to make sure it does it's job. However is packaging
> >>> those two packages, need to decided who provides what, or move the
> >>> configs off to a third package that they both could depend on instead
> of
> >>> conflicting.
> >>>
> >> --
> >> You received this bug notification because you are subscribed to a
> >> duplicate bug report (1572183).
> >> https://bugs.launchpad.net/bugs/1451728
> >>
> >> Title:
> >> [master] kde-config-telepathy-accounts package install error
> >>
> >> Status in Kubuntu PPA:
> >> Fix Released
> >> Status in Telepathy KDE:
> >> Fix Released
> >> Status in kaccounts-integration package in Ubuntu:
> >> In Progress
> >> Status in kaccounts-providers package in Ubuntu:
> >> Triaged
> >> Status in ktp-accounts-kcm package in Ubuntu:
> >> Triaged
> >> Status in libaccounts-glib package in Ubuntu:
> >> Fix Released
> >> Status in kaccounts-providers source package in Wily:
> >> Triaged
> >> Status in ktp-accounts-kcm source package in Wily:
> >> Triaged
> >>
> >> Bug description:
> >> Installing from Kubuntu 15.04 backports:
> >>
> >> Unpacking kde-config-telepathy-accounts
> >> (15.04.0-0ubuntu1~ubuntu15.04~ppa1) over (0.9.0-0ubuntu1) ...
> >> dpkg: error processing archive
> >> /var/cache/apt/archives/kde-config-telepathy-accounts_15.
> 04.0-0ubuntu1~ubuntu15.04~ppa1_amd64.deb
> >> (--unpack):
> >> trying to overwrite '/usr/share/accounts/services/
> facebook-im.service',
> >> which is also in package account-plugin-facebook
> >> 0.12+15.04.20150415.1-0ubuntu1
> >> dpkg-deb: error: subprocess paste was killed by signal (Broken pipe)
> >>
> >> SRU information
> >> ===============
> >>
> >> [Impact] It's not possible to install KDE and Unity in co-existence
> >> because of several file conflicts: many files under
> >> /usr/share/accounts/{providers,services}/ are provided by both the
> >> package "kaccounts-providers" and packages build from the "account-
> >> plugins" sourc...

Read more...

Saladien (saladien) wrote :
Download full text (7.1 KiB)

It should be clear Bernd that English is the way to go with everything
tailored for an International Community.(in this case KDE) That some
German people are so focused on their own inability to understand the
language. (That is needet in every Internation Community) And start
demanding that the far bigger part of the community writes in there
language, even if they just could fix that by learning English in the
first place is really hard for me to understand. Im German too but i
would not demand from others to speak a language that is clearly not the
most spoken in the internet in any professional or most other
communitys. So please write with us in english and back to topic please :).

On 01/28/2017 03:16 PM, Asa-Jane Stuart-Campbell wrote:
> Nei Bernd, skriv norsk da.
>
> Or English, so everyone can understand without google translate.
>
> 2017-01-27 23:27 GMT+01:00 Bernd <email address hidden>:
>
>> bitte deutsch schreiben
>>
>>
>> Am 27.01.2017 um 14:15 schrieb malvonni:
>>> Thanks!
>>>
>>> Em sex, 27 de jan de 2017 11:11, Bernd <email address hidden> escreveu:
>>>
>>>> bitte deutsch schreiben
>>>>
>>>>
>>>>
>>>> Am 26.01.2017 um 19:36 schrieb N H:
>>>>> I have experienced this problem as well, while adding KDE to the
>> desktop
>>>>> environments on my copy of Ubuntu. As I like XFCE for most things, but
>>>>> decided to see how recent versions of KDE look. During installation,
>> the
>>>>> KDE accounts config package kept trying to overwrite files provides by
>>>>> other packages. Apt-get install -f did not do it's job, and threw the
>>>>> same errors. I eventually just grabbed the .deb files using pkgs.org
>> and
>>>>> installed them with dpkg --force-all. This resulted in all sorts of
>> file
>>>>> conflicts, which as I used the --force-all option, it overrided and
>>>>> installed anyway. KDE seems to be working normally. If I need to, I
>> will
>>>>> reinstalled the package that got overwritten, once again with the
>>>>> --force-all option to make sure it does it's job. However is packaging
>>>>> those two packages, need to decided who provides what, or move the
>>>>> configs off to a third package that they both could depend on instead
>> of
>>>>> conflicting.
>>>>>
>>>> --
>>>> You received this bug notification because you are subscribed to a
>>>> duplicate bug report (1572183).
>>>> https://bugs.launchpad.net/bugs/1451728
>>>>
>>>> Title:
>>>> [master] kde-config-telepathy-accounts package install error
>>>>
>>>> Status in Kubuntu PPA:
>>>> Fix Released
>>>> Status in Telepathy KDE:
>>>> Fix Released
>>>> Status in kaccounts-integration package in Ubuntu:
>>>> In Progress
>>>> Status in kaccounts-providers package in Ubuntu:
>>>> Triaged
>>>> Status in ktp-accounts-kcm package in Ubuntu:
>>>> Triaged
>>>> Status in libaccounts-glib package in Ubuntu:
>>>> Fix Released
>>>> Status in kaccounts-providers source package in Wily:
>>>> Triaged
>>>> Status in ktp-accounts-kcm source package in Wily:
>>>> Triaged
>>>>
>>>> Bug description:
>>>> Installing from Kubuntu 15.04 backports:
>>>>
>>>> Unpacking kde-config-telepathy-accounts
>>>> (15.04.0-0ubuntu1~ubuntu15.04~ppa1) over (0.9.0-0...

Read more...

Download full text (24.6 KiB)

-1-800-945-0645 QUICKBOOKS ENTERPRISE SUPPORT PHONE NUMBER! §§»»1-800-945-0645 «~» QUICKBOOKS ENTERPRISE SUPPORT NUMBER QUICKBOOKS ENTERPRISE PHONE NUMBER QUICKBOOKS ENTERPRISE SUPPORT NUMBER
-1-800-945-0645 Quickbooks Enterprise support phone number! §§»»1-800-945-0645 «~» Quickbooks Enterprise support number Quickbooks Enterprise phone
number Quickbooks Enterprise support number
- 1-800-945-0645Quickbooks Enterprise support phone number! §§»»1-800-945-0645 «~» Quickbooks Enterprise support number Quickbooks Enterprise phone
number Quickbooks Enterprise support number
- 1-800-4306-4611Quickbooks Enterprise support phone number! §§»»1-800-945-0645 «~» Quickbooks Enterprise support number Quickbooks Enterprise phone
number Quickbooks Enterprise support numberhttp://www.imdb.com/list/ls064807969/
- Quickbooks Enterprise support phone number! §§»»1-800-945-0645 «~» Quickbooks Enterprise support number Quickbooks Enterprise phone number Quickbooks
Enterprise support number
- Quickbooks Enterprise support phone number! §§»»1-800-945-0645 «~» Quickbooks Enterprise support number Quickbooks Enterprise phone number Quickbooks
Enterprise support number
- Quickbooks Enterprise support phone number! §§»»1-800-945-0645 «~» Quickbooks Enterprise support number Quickbooks Enterprise phone number Quickbooks
Enterprise support number
- Quickbooks Enterprise support phone number! §§»»1-800-945-0645 «~» Quickbooks Enterprise support number Quickbooks Enterprise phone number Quickbooks
Enterprise support number
- Quickbooks Enterprise support phone number! §§»»1-800-945-0645 «~» Quickbooks Enterprise support number Quickbooks Enterprise phone number Quickbooks
Enterprise support number
- Quickbooks Enterprise support phone number! §§»»1-800-945-0645 «~» Quickbooks Enterprise support number Quickbooks Enterprise phone number Quickbooks
Enterprise support number
- Quickbooks Enterprise support phone number! §§»»1-800-945-0645 «~» Quickbooks Enterprise support number Quickbooks Enterprise phone number Quickbooks
Enterprise support number
- Quickbooks Enterprise support phone number! §§»»1-800-945-0645 «~» Quickbooks Enterprise support number Quickbooks Enterprise phone number Quickbooks
Enterprise support number
- Quickbooks Enterprise support phone number! §§»»1-800-945-0645 «~» Quickbooks Enterprise support number Quickbooks Enterprise phone number Quickbooks
Enterprise support number
- Quickbooks Enterprise support phone number! §§»»1-800-945-0645 «~» Quickbooks Enterprise support number Quickbooks Enterprise phone number Quickbooks
Enterprise support number
- Quickbooks Enterprise support phone number! §§»»1-800-945-0645 «~» Quickbooks Enterprise support number Quickbooks Enterprise phone number Quickbooks
Enterprise support number
- Quickbooks Enterprise support phone number! §§»»1-800-945-0645 «~» Quickbooks Enterprise support number Quickbooks Enterprise phone number Quickbooks
Enterprise support number
- Quickbooks Enterprise support phone number! §§»»1-800-945-0645 «~» Quickbooks Enterprise support number Quickbooks Enterprise phone number Quickbooks
Enterprise support number
- Quickbooks Enterprise support phone number! §§»»1-800-945-0645 «~» Quickbooks ...

Nirbhay Choubey (nirbhay) wrote :

I too got stuck in the spiral.

$ sudo dpkg --remove unity-scope-gdrive
$ sudo dpkg --remove account-plugin-google
$ sudo apt-get -f install

Somasekara Rao (sekhar-eee) wrote :

Thank you,

It solved my problem.

-Dr Som

On Wed, Aug 23, 2017 at 8:37 PM, Nirbhay Choubey <email address hidden>
wrote:

> I too got stuck in the spiral.
>
> $ sudo dpkg --remove unity-scope-gdrive
> $ sudo dpkg --remove account-plugin-google
> $ sudo apt-get -f install
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1516208).
> https://bugs.launchpad.net/bugs/1451728
>
> Title:
> [master] kde-config-telepathy-accounts package install error
>
> Status in Kubuntu PPA:
> Fix Released
> Status in Telepathy KDE:
> Fix Released
> Status in kaccounts-integration package in Ubuntu:
> In Progress
> Status in kaccounts-providers package in Ubuntu:
> Triaged
> Status in ktp-accounts-kcm package in Ubuntu:
> Triaged
> Status in libaccounts-glib package in Ubuntu:
> Fix Released
> Status in kaccounts-providers source package in Wily:
> Triaged
> Status in ktp-accounts-kcm source package in Wily:
> Triaged
>
> Bug description:
> Installing from Kubuntu 15.04 backports:
>
> Unpacking kde-config-telepathy-accounts (15.04.0-0ubuntu1~ubuntu15.04~ppa1)
> over (0.9.0-0ubuntu1) ...
> dpkg: error processing archive /var/cache/apt/archives/kde-
> config-telepathy-accounts_15.04.0-0ubuntu1~ubuntu15.04~ppa1_amd64.deb
> (--unpack):
> trying to overwrite '/usr/share/accounts/services/facebook-im.service',
> which is also in package account-plugin-facebook
> 0.12+15.04.20150415.1-0ubuntu1
> dpkg-deb: error: subprocess paste was killed by signal (Broken pipe)
>
> SRU information
> ===============
>
> [Impact] It's not possible to install KDE and Unity in co-existence
> because of several file conflicts: many files under
> /usr/share/accounts/{providers,services}/ are provided by both the
> package "kaccounts-providers" and packages build from the "account-
> plugins" source package, for example 'account-plugin-facebook'.
>
> [Test case] Install both kaccounts-providers and
> account-plugin-facebook: you'll get file conflicts for
> /usr/share/accounts/services/facebook-im.service and
> /usr/share/accounts/providers/facebook.provider.
> You might get other conflicts as well, but those are due to bug 1565772
> (also nominated for SRU).
>
> [Regression potential] Minimal: the changed packages belong to the
> default KDE installation, and have already landed in Yakkety. Things
> appear to be working fine there: account creation is still possible
> under KDE, even after changing the file paths as per this fix.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/kubuntu-ppa/+bug/1451728/+subscriptions
>

i speek french !!! i re install !!! ciao

Displaying first 40 and last 40 comments. View all 123 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.